Skip to content

Gets the current firmware of a device​

GET
/devices/{id}/firmware/current

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

Device ID

Type
integer
Required

Request example

Responses​

OK

application/json
JSON
{
  
"build": "string",
  
"channel": "string"
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value